

Global graphics_mode,g_depth,wn_mode
Global debug_log
Global crrnt_dir$, fldr$

   ;debug_file_open
   fldr$=GetEnv$("appdata")+"\scr_test" 
   ChangeDir fldr$
   debug_log=OpenFile("debug_log_scr.txt")
   While Not Eof(debug_log)
     ReadLine$(debug_log) 
   Wend 
   WriteLine( debug_log,"["+CurrentDate$()+" "+CurrentTime$()+"]"+" +++++ ++++++++++ ")
   WriteLine( debug_log," "+fldr$ )
  
;set application_direction
   Local  set_fileout=OpenFile("scr_set.txt")
          graphics_mode=ReadLine(set_fileout)
            wn_mode=ReadLine(set_fileout)
           crrnt_dir$=ReadLine(set_fileout)
   CloseFile fileout
   ChangeDir  crrnt_dir$
   WriteLine( debug_log," "+ crrnt_dir$)
;+++++++++++++++++++++++++++++++++
Include "func\load_profile_scr_test.bb"
Load_Profile()


If CommandLine$() <>"_" Then 
  ChangeDir  crrnt_dir$
   WriteLine( debug_log,"  "+ CurrentDir$())
  If Upper(Left$(CommandLine$(),2)) = "/C" 
      WriteLine( debug_log,"CommandLine C" )
       Goto Configure
   EndIf
   If Upper(Left$(CommandLine$(),2)) = "/S"
      WriteLine( debug_log,"CommandLine S" )
      Goto start
   EndIf
EndIf; <> ""

WriteLine( debug_log,"["+CurrentDate$()+" "+CurrentTime$()+"]"+" +++++  ++++++++++ ")
End 




;++++++CONFIGURE+++++++++++++++
.Configure
;Function Configure()

WriteLine( debug_log,"   "+CurrentTime$()  )

AppTitle "scr_test_configure_menu "

Include "func\load_profile_scr_test.bb"
Load_Profile()

Graphics3D 320,240,32,2



  
Print "SELECT GRAPHICS MODE"
Print "1-1204x1280"
Print "2-1280x960"
Print "3-1152x864"
Print "4-1024x768"
Print "5-800x600"
Print "ESC - SAVE OPTIONS and QUIT"


HidePointer


While start=False

  If  KeyHit(1) 
     Write_Profile()
     WriteLine( debug_log,"["+CurrentDate$()+" "+CurrentTime$()+"]"+" +++++  ++++++++++ ")
     End
 EndIf 
     
  If KeyHit(2)=1 
     graphics_mode=1
  EndIf 
  If KeyHit(3)=1 
     graphics_mode=2
  EndIf
  If KeyHit(4)=1 
     graphics_mode=3
  EndIf
  If KeyHit(5)=1 
     graphics_mode=4
  EndIf
  If KeyHit(6)=1 
     graphics_mode=5
  EndIf
   


  UpdateWorld
  RenderWorld

Delay 1

Flip
Wend


;++++++++++++++++++++++++++++









;++++++START++++++++++++++++++

.start

WriteLine( debug_log,"   "+CurrentTime$()  ) 

SeedRnd MilliSecs()

Load_Profile()

Select graphics_mode
       Case 1
            Graphics3D 1280,1024,32,0
       Case 2
            Graphics3D 1280,960,32,0
       Case 3
            Graphics3D 1152,864,32,0
       Case 4
            Graphics3D 1024,768,32,0
       Case 5
            Graphics3D 800,600,32,0
       Default
End Select

Global  exit_scr

Global Camera = CreateCamera()
CameraRange Camera,0.1,5000
CameraFogMode camera,1
CameraFogRange Camera,0.1,25
CameraFogColor Camera,0,0,0
CameraClsColor camera,0,0,0
MoveEntity camera ,0,5,3



Global zoom_s#=0
Global zoom_max#=1,zoom_max_amnt#=50
zoom_max#=zoom_max_amnt#
	
	



;+++++++_++++++++++++++++++++++

WriteLine( debug_log," ")
.set_map
Global map=LoadAnimMesh("models\map.b3d")
teapot=FindChild (map,"mesh")
Global map_lightmap=LoadTexture("textures\map_lightmap.jpg")
TextureCoords map_lightmap,1
EntityTexture teapot,map_lightmap,0,1

cam_pos=FindChild (map,"cam_pos")
cam_trgt_pos=FindChild (map,"cam_trgt_pos")

PositionEntity Camera,EntityX(cam_pos,1),EntityY(cam_pos,1),EntityZ(cam_pos,1)
RotateEntity Camera,EntityPitch(cam_pos,1),EntityYaw(cam_pos,1),EntityRoll(cam_pos,1)
PointEntity Camera,cam_trgt_pos
;++++++++++++++++++++++++++++++++++++++++

AmbientLight 150,150,150
Global map_light=CreateLight(2)
LightRange map_light, 170 
MoveEntity map_light,-50,100,-50



FlushKeys() 
FlushMouse() 
MoveMouse 0,0 


WriteLine( debug_log,"  ")

;+++++++MAIN_LOOP++++++++++++
.main

Global glbl_spd#=2.2
tmr=CreateTimer(40)

While  exit_scr=False 
WaitTimer(tmr)

If GetMouse() <> 0 Or MouseX() <> 0 Or MouseY() <> 0 Or GetKey() <> 0
   exit_scr=True
  WriteLine( debug_log,"["+CurrentDate$()+" "+CurrentTime$()+"]"+" +++++  ++++++++++ ")
EndIf 


 TurnEntity map,0,.7,0

 CamZoom()

 UpdateWorld
 RenderWorld
 Delay 1

  Flip FlipSync

Wend
;+++++++++++++++++++++++++++++++




Function CamZoom()

If zoom_s#>zoom_max# Then zoom_s#=zoom_s#-.5
		If zoom_s<zoom_max#Then zoom_s#=zoom_s+.5
		If zoom_s#<=20 Then zoom_s#=20
If key_down_spasebar Then zoom_max#=15 Else zoom_max#=zoom_max_amnt#
CameraZoom camera, (1/Tan(zoom_s#/2.0))		
	
End Function


;++++++++++++++++++++++++++++++++++++++++++++++++++++++++